import { type Base, genBase } from "./_base"

export interface Soapi extends Base {
  encounter_id: number
  employee_id: number
  time?: string
  typeCode?: string
  value: unknown
}

export function genSoapi(): Soapi {
  return {
    ...genBase(),
    encounter_id: 0,
    employee_id: 0,
    value: '',
  }
}
